BRAKIT<-function(
                     N1 = 20,
                     xleft = -1,
                     delbrak = -0.8,
                     ytop = 0.25,
                     tipY = 0.3124366,
                     xright = -0.1
                     )
    {
        y = ytop* sin(seq(from=0, to=pi/2, length=N1) )
        x = seq(from=xleft, to=delbrak, length=N1)

        
        EX = RPMG::RESCALE(x, xright, 0, min(x), max(x) )
        jy = -rev(y)
        EY = RPMG::RESCALE(jy, y[N1],  tipY , min(jy), max(jy) )
        KX = c(x, xright, EX )
        KY = c(y,y[N1] , EY)
        MX = c(KX, rev( -KX )  )
        MY = c(KY, rev(KY) )
        ARET =list(x=MX, y=MY, delbrak = delbrak,
                     ytop = ytop,
                     tipY = tipY,
                     xright = xright )
           
        return(ARET  )
    }
