\name{vecproj}
\alias{vecproj}
\title{Vector Projection
}
\description{Cosine of the angle beteen two vectors
}
\usage{
vecproj(P1, P2)
}
\arguments{
  \item{P1}{Vector 1, (x,y)
}
  \item{P2}{Vector 2, (x,y)
}
}
\details{
Vectors do not have to be normalized.
}
\value{List:
 \item{cang}{cosine of angle
}
 \item{angrad}{angle in radians
}

 \item{angdeg}{angle in degrees
}

 \item{dis1}{projected distance of P2  along P1
}

 \item{dis2}{projected distance of P1  along P2
}

}

\author{
Jonathan M. Lees<jonathan.lees@unc.edu>
}


\seealso{gangle, angBAC
}
\examples{


P1 = list(x=10, y=4)
P2 = list(x=40, y=6)
P3 = list(x=20, y=15)

V1 = unlist(P1) - unlist(P2)
V2 =  unlist(P3) - unlist(P2)

vecproj(V1, V2)

}
\keyword{misc}
